Skip to main content
POST
/
webhooks
/
configurations
Create webhook configuration
curl --request POST \
  --url https://api-sandbox.orum.io/webhooks/configurations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'Orum-Version: <orum-version>' \
  --data '
{
  "event_types": [],
  "url": "<string>",
  "enabled": true
}
'
import requests

url = "https://api-sandbox.orum.io/webhooks/configurations"

payload = {
"event_types": [],
"url": "<string>",
"enabled": True
}
headers = {
"Orum-Version": "<orum-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {
'Orum-Version': '<orum-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({event_types: [], url: '<string>', enabled: true})
};

fetch('https://api-sandbox.orum.io/webhooks/configurations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "webhook_configuration": {
    "id": "<string>",
    "enterprise_name": "<string>",
    "event_types": [],
    "enabled": true,
    "url": "<string>",
    "created_at": "<string>",
    "created_by": "<string>",
    "updated_at": "<string>",
    "updated_by": "<string>"
  }
}
{
"error_code": "<string>",
"message": "<string>",
"details": {}
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

Orum-Version
enum<string>
required

Version of Deliver and Verify APIs. Use v2022-09-21.

Available options:
v2022-09-21

Body

application/json
event_types
enum<string>[]
required

The types of events for which you would like to receive a webhook e.g. transfer_created. Use subscribe_all to receive webhooks for all events.

The type of event you want to invoke a webhook for.

Available options:
subscribe_all,
person_created,
person_verified,
person_rejected,
person_restricted,
person_unverified,
person_closed,
person_all,
business_created,
business_verified,
business_rejected,
business_restricted,
business_unverified,
business_closed,
business_all,
external_account_created,
external_account_verified,
external_account_rejected,
external_account_restricted,
external_account_unverified,
external_account_closed,
external_account_all,
transfer_updated,
transfer_all,
verify_account_updated,
subledger_all,
subledger_created,
book_transfer_all,
book_transfer_updated
url
string
required

The URL where you would like the webhook to be sent.

enabled
boolean
required

A boolean to determine whether the configuration is enabled. Acts as an on/off switch for that particular webhook.

Response

200 response.

webhook_configuration
WebhookConfiguration · object
required